Subject: Re: [PATCH 12/34] isdn/diva: Drop __TIME__ usage

From: [email-masked]
Date: Tue, 05 Apr 2011 15:17:36 -0400

On Tue, 05 Apr 2011 17:10:34 +0200, Armin Schindler said:
> On Tue, 5 Apr 2011, Michal Marek wrote:
> > The kernel already prints its build timestamp during boot, no need to
> > repeat it in random drivers and produce different object files each
> > time.
> 
> The module can be build separately from the kernel, therefore it can have
> an own build timestamp.

If the same code is being built as an out-of-tree module, that's a possibly
good reason for a code version variable, but what does the build timestamp
actually tell you?  If you already know foo_driver.c version 0.814 was buiilt
against 2.6.41-rc2, in what cases does it matter if the compile was on Tuesday
or Thursday - especially since an 'ls -l foo_driver.ko' will tell you?  If it's
a matter of "the target .config changed on Wednesday", a build timestamp still
doesn't help over 'ls -l'.